body {
    background-color: #151515;
    font-family: Roboto;
    font-size: 20px;
    font-weight: lighter;
    color: #ffffff;
    line-height: 1.4em;
    margin: 0px;
    padding: 0px;
}


/* ---------- banner ---------- */

.banner {
    background-image: url("../images/bg1.jpg");
    background-size: cover;
    height: 120vh;
}

.navbar-container {
    padding: 0px 50px 0px 50px
}

@media (max-width: 480px) {
    .navbar-container {
        padding: 0px 30px 0px 30px
    }
}

/* ----- navbar ----- */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
} 

nav {
  display: flex;
  height: 100px;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

nav .logo {
  color: #fff;
  width: 300px;
}

nav ul {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
}

nav ul li {
  margin: 0 5px;
}

nav ul li a {
  color: #f2f2f2;
  text-decoration: none;
  font-size: 16px;
  font-weight: lighter;
  
  padding: 8px 15px;
  border-radius: 5px;
  letter-spacing: 1px;
  transition: all 0.3s ease;
}


nav ul li a:hover{
  color: #ff0e47;
}

nav .menu-btn i {
  color: #fff;
  font-size: 30px;
  cursor: pointer;
  display: none;
}

input[type="checkbox"] {
  display: none;
}

@media (max-width: 920px) {
  nav .menu-btn i {
    display: block;
  }

  #click:checked ~ .menu-btn i:before {
    content: "\f00d";
  }

  nav ul {
    position: fixed;
    top: 80px;
    left: -100%;
    background: #111111f2;
    height: 100vh;
    width: 100%;
    text-align: center;
    display: block;
    transition: all 0.3s ease;
  }

  #click:checked ~ ul {
    left: 0;
  }

  nav ul li {
    width: 100%;
    margin: 40px 0;
  }

  nav ul li a {
    width: 100%;
    margin-left: -100%;
    display: block;
    font-size: 20px;
    transition: 0.6s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }

  #click:checked ~ ul li a {
    margin-left: 0px;
  }

  nav ul li a.active,
  nav ul li a:hover {
    background: none;
    color: cyan;
  }
}

.content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: -1;
  width: 100%;
  padding: 0 30px;
  color: #1b1b1b;
}

.content div {
  font-size: 40px;
  font-weight: 700;
}

/* ----- navbar ----- */


/* ----- about ----- */

.about-container {
    padding-top: 180px;
    padding-left: 125px;
}

.about-container p {
    font-size: 55px;
    font-weight: 400;
    padding-bottom: 30px;
}

h1 {
    font-size: 95px;
    font-weight: 900;
    line-height: 1.1em;
    padding-bottom: 30px;
    padding-right: 125px;
}

.about-details p {
    font-size: 30px;
    font-weight: lighter;
    line-height: 1.4em;
    padding-right: 150px;
}

.btn {
    border: 2px solid #ff0e47;
    background-color: #ff0e47;
    color: #ffffff;
    padding: 14px 28px;
    font-size: 20px;
    cursor: pointer;
  }

@media (max-width: 1440px) {
    .about-container {
        padding-top: 100px;
        padding-left: 50px;
    }

    .about-container p {
        font-size: 45px;
        padding-bottom: 30px;
    }

    h1 {
        font-size: 65px;
        padding-right: 50px;
    }

    .about-details p {
        font-size: 25px;
        padding-right: 50px;
    }
}

@media (max-width: 800px) {
    .about-container {
        padding-top: 100px;
        padding-left: 50px;
    }

    .about-container p {
        font-size: 35px;
        padding-bottom: 30px;
    }

    h1 {
        font-size: 58px;
        padding-right: 50px;
    }

    .about-details p {
        font-size: 20px;
        padding-right: 50px;
    }
}

@media (max-width: 480px) {
    .about-container {
        padding-top: 50px;
        padding-left: 30px;
    }

    .about-container p {
        font-size: 28px;
        line-height: 1.1em;
        padding-bottom: 30px;
    }

    h1 {
        font-size: 35px;
        padding-right: 30px;
    }

    .about-details p {
        font-size: 18px;
        line-height: 1.3em;
        padding-right: 50px;
    }
}


/* ----- end about ----- */

/* ---------- end banner ---------- */

/* ---------- services ---------- */

.service-container1 {
    display: grid;
    grid-template-areas: 
    "music"
    "movies";
}

div.music {
    grid-area: music;
    display: flex;
    background-color: #ff0e47;
    padding: 30px 50px 50px 30px;
    height: 27vh;
}

div.movies {
    grid-area: movies;
    display: flex;
    background-color: #d80c3c;
    padding: 30px 50px 50px 30px;
    height: 27vh;
}

.service-container2 {
    display: grid;
    grid-template-areas: 
    "games"
    "books";
}

div.games {
    grid-area: games;
    display: flex;
    background-color: #a7092f;
    padding: 30px 50px 50px 30px;
    height: 27vh;
}

div.books {
    grid-area: books;
    display: flex;
    background-color: #6a061e;
    padding: 30px 50px 50px 30px;
    height: 27vh;
}

.icon {
    padding-right: 30px;
}

.icon img {
    width: 80px;
    height: 80px;
}

.title {
    font-size: 25px;
    font-weight: 400;
    padding-bottom: 20px;
}

@media (min-width: 1440px) {
    div.music {
        padding: 50px 90px 50px 90px;
    }
    
    div.movies {
        padding: 50px 90px 50px 90px;
    }

    div.games {
        padding: 50px 90px 50px 90px;
    }
    
    div.books {
        padding: 50px 90px 50px 90px;
    }
}

@media (min-width: 1000px) {
    .service-container1 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "music movies";
    }
    
    .service-container2 {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "games books";
    } 
}

@media (max-width: 480px) {
    .icon img {
        width: 65px;
        height: 65px;
    }

    div.music {
        padding: 30px 30px 30px 30px;
    }
    
    div.movies {
        padding: 30px 30px 30px 30px;
    }

    div.games {
        padding: 30px 30px 30px 30px;
    }
    
    div.books {
        padding: 30px 30px 30px 30px;
    }
} 

/* ---------- end services ---------- */

/* ---------- form ---------- */

.form {
    background-image: url("../images/bg2.jpg");
    background-size: cover;
    padding: 50px 80px 50px 80px;
}

h2 {
    font-size:30px;
    font-weight: 900;
    padding-bottom: 10px;
    line-height: 1em;
    text-align: center;
}

.form-container {
    display: grid;
    padding-top: 20px;
    grid-template-areas: 
    "form-fillup"
    "form-content";
}

.form-fillup {
    padding-bottom: 10px;
}

.form-content {
    padding-left: 30px;
}


input[type=text], select, textarea {
    background-color: #e1e1e1;
    width: 100%;
    height: 55px;
    padding: 10px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    margin-bottom: 10px;
    resize: vertical;
    font-weight: 200;
    font-size: 18px;
}
  
input[type=submit] {
    background-color: #edb301;
    color: white;
    padding: 10px 25px;
    border: none;
    cursor: pointer;
    font-size: 20px;
    font-weight: 600;
    width: 100%;
    height: 55px;
}

.cvv-zip {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    grid-template-areas:
    "cvv"
    "zip";
}

div.cvv {
    grid-area: cvv;
}

div.zip {
    grid-area: zip;   
}

@media (min-width: 768px) {
    .cvv-zip {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
        grid-template-areas:
        "cvv zip";
    }

    .cvv {
        padding-right: 10px;
    }
}
    
.month-date {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    grid-template-areas:
    "month"
    "date";
    }
    
    div.month{
        grid-area: month;
    }
    
    div.date {
        grid-area: date;
    }
    
@media (min-width: 768px) {
    .month-date {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
        grid-template-areas:
        "month date";
        }
        
    .month {
        padding-right: 10px;
        }
}

@media (max-width: 425px) {
    .month {
        padding-right: 0px;
    }

    .form {
        padding: 30px 30px 30px 30px;
    }
}

@media (max-width: 425px) {
    .month {
        padding-right: 0px;
    }

    .form {
        padding: 50px 30px 50px 30px;
    }
}

@media (min-width: 1440px) {
    .join-form {
        height: 55vh;
    }
}

@media (min-width: 1024px) {
    .join-form {
        height: 63vh;
    }
}

@media (min-width: 800px) {
    .form-container {
        display: grid;
        /* grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "form-fillup form-content"; */
    }
}

@media (max-width: 768px) {
    .form-content {
        padding-top: 20px;
        padding-left: 0px;
    }

    .join-form {
        height: 65vh;
    }
}

@media (max-width: 480px) {
    .form {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .form-content {
        padding-left: 0px;
        padding-top: 20px;
    }

    .join-form {
        height: 70vh;
    }
}

/* ---------- end form ---------- */

/* ---------- footer ---------- */

.footer {
    padding: 50px 50px 50px 50px;
}

.footer-container {
    display: grid;
    padding-top: 20px;
    padding-bottom: 20px;
    grid-template-areas:
    "logo2"
    "address";
}

.address {
    padding-left: 30px;
}

.allriche {
    padding-top: 10px;
    padding-bottom: 10px;
}

.info {
    font-size: 20px;
}

.social-footer {
    display: grid;
    display: flex;
    padding-top: 10px;
    grid-template-columns: repeat(5, 1fr);
    grid-template-areas:
    "facebook-footer instagram-footer twiter-footer";
  }

  div.facebook-footer {
    grid-area: facebook-footer;
    height: 65px;
    width: 65px;
    padding: 8px;
  }

  div.instagram-footer {
    grid-area: instagram-footer;
    height: 65px;
    width: 65px;
    padding: 8px;
  }

  div.twiter-footer{
    grid-area: twiter-footer;
    height: 65px;
    width: 65px;
    padding: 8px;
  }


@media (min-width: 800px) {
    .footer-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        " logo2 address";
    }
}

@media (max-width: 768px) {
    .address {
        padding-top: 20px;
        padding-left: 0px;
    }
}

@media (max-width: 480px) {
    .footer {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 30px;
        padding-right: 30px;
    }

    .logo2 {
        padding-left: 0px;
        padding-top: 20px;
    }
}

/* ---------- end footer ---------- */
